datacache <- new.env(hash=TRUE, parent=emptyenv())

mu11ksubammug <- function() showQCData("mu11ksubammug", datacache)
mu11ksubammug_dbconn <- function() dbconn(datacache)
mu11ksubammug_dbfile <- function() dbfile(datacache)
mu11ksubammug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mu11ksubammug_dbInfo <- function() dbInfo(datacache)

mu11ksubammugORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mu11ksubammug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mu11ksubammug", "chip mu11ksubammug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mu11ksubammug_dbconn())
}

